<?php 
	require_once("../includes/bootstrap2.php");
	$sesion=new sesion();
	$academia=bootstrap::initBd($sesion->get('anio'));
	$mayus_nom=$sesion->getVar('configuracion.format_nom');
	if(!headers_sent())
	    ob_start("ob_gzhandler");
	if(isAjax()){
		$codGrupo=$academia->escapar($_POST['cdgrup']);
		$sql="SELECT aca_estudiantes.cod_estudiante AS id, lcase(CONCAT_WS(' ',apellido1_est,apellido2_est,nombre1_est,nombre2_est)) AS nombre
					FROM aca_estudiantesxgrupos
						INNER JOIN aca_estudiantes 
							ON (aca_estudiantesxgrupos.cod_estudiante = aca_estudiantes.cod_estudiante)
					where aca_estudiantesxgrupos.cod_grupo=".$codGrupo ." ORDER BY nombre ASC";
		$academia->instruccion($sql);
		while($reg=$academia->extraer_registro()){
			$datas['est'][]=array('id'=>$reg['id'],'nombre'=>formatoPalabras($reg['nombre'],$mayus_nom));	
		}
		//$datas['est']=$academia->fetchAll();
		
		$sql="SELECT Max(aca_asignaturasxgrupos.num_evaluaciones) AS num_per FROM aca_asignaturasxgrupos 
				WHERE aca_asignaturasxgrupos.cod_grupo ='$codGrupo' GROUP BY aca_asignaturasxgrupos.cod_grupo";
				
		$academia->instruccion($sql);
		$dt=$academia->extraer_registro();
		$datas['nv']=$dt['num_per'];
		

		echo json_encode($datas);
		
		$academia->liberar();
		$academia->cerrar();
	}
?>